﻿using System.IO;
using System.Net.Sockets;

namespace FileTcpClient
{
    class Program
    {
        private const string Server = "localhost";
        private const int Port = 2100;
        static void Main()
        {
            using (TcpClient client = new TcpClient(Server, Port))
            {
                NetworkStream stream = client.GetStream();
                StreamWriter writer = new StreamWriter(stream);
                string filename = "/studieordningDMU2014.pdf";
                string request = filename;
                writer.WriteLine(request);
                writer.Flush();
                string resultFile = "c:/temp2/" + filename;
                using (FileStream fileStream = new FileStream(resultFile, FileMode.Create))
                {
                    stream.CopyTo(fileStream);
                }          
            }
        }
    }
}
